package com.sillycycle.bagleyd.panex;

/*
 * @(#)PanexInterface.java
 *
 * Copyright 1994 - 2019  David A. Bagley, bagleyd AT verizon.net
 *
 * All rights reserved.
 *
 * Permission to use, copy, modify, and distribute this software and
 * its documentation for any purpose and without fee is hereby granted,
 * provided that the above copyright notice appear in all copies and
 * that both that copyright notice and this permission notice appear in
 * supporting documentation, and that the name of the author not be
 * used in advertising or publicity pertaining to distribution of the
 * software without specific, written prior permission.
 *
 * This program is distributed in the hope that it will be "useful",
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.
 */

/**
 * The <code>PanexInterface</code> class contains most of the
 * constants used by the <code>PanexApp</code> class.
 *
 * @author	David A. Bagley
 * @author	bagleyd AT verizon.net
 * @author	https://www.sillycycle.com/puzzles.html
 */

public class PanexInterface {

	static final int ACTION_RESTORE = 105;
	static final int ACTION_RESET = 106;
	static final int ACTION_ILLEGAL = 107;
	static final int ACTION_BLOCKED = 108;
	static final int ACTION_SPACE = 109;
	static final int ACTION_MOVED = 110;
	static final int ACTION_SOLVED = 111;
	static final int ACTION_COMPUTED = 112;
	static final int ACTION_UNDO = 200;
	static final int ACTION_REDO = 201;
	static final int ACTION_CLEAR = 202;
	static final int ACTION_SOLVE = 203;
	static final int ACTION_MODE = 204;
	static final int ACTION_INCREMENT = 205;
	static final int ACTION_DECREMENT = 206;
	static final int ACTION_SPEED = 207;
	static final int ACTION_SLOW = 208;
	static final int ACTION_SOUND = 209;
	static final int ACTION_IGNORE = 999;

	static final String TITLE = "Panex";
	public enum Icons {X16, X22, X24, X32, X48, X64}
	static final String[] ICONS = {"icons/16x16/panex.png",
		"icons/22x22/panex.png",
		"icons/24x24/panex.png",
		"icons/32x32/panex.png",
		"icons/48x48/panex.png",
		"icons/64x64/panex.png"};
	public enum Sounds {DRIP, MOVE}
	static final String[] SOUNDS = {"sounds/drip.wav",
		"sounds/move.wav"};
}
