package com.sillycycle.bagleyd.panex.model;

/*
 * @(#)PanexTile.java
 *
 * Copyright 2014  David A. Bagley, bagleyd AT verizon.net
 *
 * All rights reserved.
 *
 * Permission to use, copy, modify, and distribute this software and
 * its documentation for any purpose and without fee is hereby granted,
 * provided that the above copyright notice appear in all copies and
 * that both that copyright notice and this permission notice appear in
 * supporting documentation, and that the name of the author not be
 * used in advertising or publicity pertaining to distribution of the
 * software without specific, written prior permission.
 *
 * This program is distributed in the hope that it will be "useful",
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.
 */

/**
 * The <code>PanexTile</code> class part of an actual panex for
 * <code>Panex</code> class.
 *
 * @author	David A. Bagley
 * @author	bagleyd AT verizon.net
 * @author	https://www.sillycycle.com/panex.html
 */

public class PanexTile {
	private final int color;
	private final int number;

	public PanexTile(int color, int number) {
		//if (color < 0 || color >= PanexFormat.getColors())
		this.color = color;
		//if (number < 0 || number >= PanexFormat.getTiles())
		// i.e. displayed_number - 1
		this.number = number;
	}

	public int getColor() {
		return color;
	}

	public int getNumber() {
		return number;
	}

	@Override
	public String toString() {
		return "color: " + color
			+ ", number: " + number;
	}
}
